package com.gh.gamecenter.mygame

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.base.activity.BaseActivity
import com.gh.gamecenter.common.constant.EntranceConsts

class PlayedGameActivity : ToolBarActivity() {

    companion object {
        fun getIntent(context: Context, userId: String, entrance: String, path: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_USER_ID, userId)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, BaseActivity.mergeEntranceAndPath(entrance, path))
            return getTargetIntent(context, PlayedGameActivity::class.java, PlayedGameFragment::class.java, bundle)
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setNavigationTitle("玩过的游戏")
    }

}